## mysql-workbench-community-6.1.3-src.zip

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
# 2.8 needed because of ExternalProject

project(WORKBENCH)


#  About MySQL and CMake
#  http://dev.mysql.com/doc/internals/en/autotools-to-cmake.html
#  http://www.lenzg.net/archives/291-Building-MySQL-Server-with-CMake-on-LinuxUnix.html

#-----------------------------------------------------------------------
# Find packages and other useful checks
#-----------------------------------------------------------------------

# Look for our custom modules in cmake/Modules:
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/build/cmake/Modules/")

find_package(PkgConfig REQUIRED)

find_package(GTK2 2.6.2 REQUIRED gtk gtkmm)
pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
pkg_check_modules(GMODULE REQUIRED gmodule-2.0)
set(GTK2_INCLUDE_DIRS ${GTK2_INCLUDE_DIRS} ${GTHREAD_INCLUDE_DIRS} ${GMODULE_INCLUDE_DIRS})
list(REMOVE_DUPLICATES GTK2_INCLUDE_DIRS)
set(GTK2_LIBRARIES ${GTK2_LIBRARIES} ${GTHREAD_LIBRARIES} ${GMODULE_LIBRARIES})
list(REMOVE_DUPLICATES GTK2_LIBRARIES)

pkg_check_modules(GLIB REQUIRED glib-2.0)

if (USE_BUNDLED_MYSQLDUMP)
  set(USE_BUNDLED_MYSQLDUMP -DHAVE_BUNDLED_MYSQLDUMP=1)
endif ()


find_package(SWIG REQUIRED)
include(${SWIG_USE_FILE})

# All known publicly available versions of Antlr3C are buggy

if (SKIP_BUNDLED_ANTLR)
  find_package(Antlr3C)
endif ()
if (ANTLR3C_FOUND)
  set(ANTLR3C_REQUIRED_VERSION "3.4")
  if (${ANTLR3C_VERSION} VERSION_LESS ${ANTLR3C_REQUIRED_VERSION})
    message("Required antlr3c version ${ANTLR3C_REQUIRED_VERSION} but ${ANTLR3C_VERSION} found, using bundled version")
    unset(ANTLR3C_FOUND)
  endif ()
endif ()

# In Ubuntu 13.04, the built-in check for python fails.. so we have to resort to the check with pkg-config (which doesn't work in many distros)
find_package(PythonLibs 2.6)
if (NOT PYTHONLIBS_FOUND)
    pkg_check_modules(PYTHON REQUIRED python)
endif ()
set(GRT_DEFINITIONS -DENABLE_PYTHON_MODULES)

find_package(Lua51)
if (LUA51_FOUND)
	set(GRT_DEFINITIONS ${GRT_DEFINITIONS} -DENABLE_LUA_MODULES)
endif()

find_package(MySQL REQUIRED)
if (UNIX)
	set(MYSQL_DEFINITIONS "-DBIG_JOINS=1"  "-fno-strict-aliasing")
endif()

find_package(LibXml2 REQUIRED)

find_package(OpenGL REQUIRED)

find_package(CTemplate)
find_package(MySQLCppConn REQUIRED)
find_package(VSqlite REQUIRED)
find_package(TinyXML REQUIRED)

if (UNIX)
	option(USE_UNIXODBC "Use unixODBC instead of iODBC" OFF)
	if (USE_UNIXODBC)
		find_package(UNIXODBC REQUIRED)
		set(ODBC_LIBRARIES ${UNIXODBC_LIBRARIES})
		set(ODBC_INCLUDE_DIRS ${UNIXODBC_INCLUDE_DIRS})
		set(ODBC_DEFINITIONS ${UNIXODBC_DEFINITIONS})
	else ()
		find_package(IODBC REQUIRED)
		set(ODBC_LIBRARIES ${IODBC_LIBRARIES})
		set(ODBC_INCLUDE_DIRS ${IODBC_INCLUDE_DIRS})
		set(ODBC_DEFINITIONS ${IODBC_DEFINITIONS})
	endif()
endif ()

pkg_check_modules(PCRE REQUIRED libpcre libpcrecpp)
pkg_check_modules(CAIRO REQUIRED cairo>=1.5.12)
pkg_check_modules(UUID REQUIRED uuid)
pkg_check_modules(LIBZIP REQUIRED libzip)
if (UNIX)
	pkg_check_modules(GNOME_KEYRING gnome-keyring-1)
	if (GNOME_KEYRING_FOUND)
		set(KEYRING_DEFINITION     "HAVE_GNOME_KEYRING")
	else()
		pkg_check_modules(GNOME_KEYRING gnome-keyring)
		if (GNOME_KEYRING_FOUND)
			set(KEYRING_DEFINITION     "HAVE_OLD_GNOME_KEYRING")
		endif()
	endif()
endif()

include (CheckFunctionExists)
check_function_exists (strtol HAVE_STRTOL)
check_function_exists (strtoll HAVE_STRTOLL)
check_function_exists (strtold HAVE_STRTOLD)
check_function_exists (strtoull HAVE_STRTOULL)
check_function_exists (strtoimax HAVE_STRTOIMAX)
check_function_exists (strtoumax HAVE_STRTOUMAX)

if (UNIX)
	if (NOT LIB_INSTALL_DIR)
		set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
	endif()
	if (NOT SHARE_INSTALL_PREFIX)
		set(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
	endif()
	if (NOT ETC_INSTALL_DIR)
		set(ETC_INSTALL_DIR "/etc")
	endif()
	if (NOT REAL_EXECUTABLE_DIR)
		set(REAL_EXECUTABLE_DIR "${CMAKE_INSTALL_PREFIX}/bin")
	endif()

	set(WB_INSTALL_DIR              "${CMAKE_INSTALL_PREFIX}")
	set(WB_INSTALL_DIR_EXECUTABLE   "${REAL_EXECUTABLE_DIR}")
	set(WB_INSTALL_BIN_DIR          "${CMAKE_INSTALL_PREFIX}/bin")
	set(WB_INSTALL_LIB_DIR          "${LIB_INSTALL_DIR}/mysql-workbench")
	set(WB_PYTHON_MODULES_DIR       "${WB_INSTALL_LIB_DIR}/modules")
	set(WB_INSTALL_SHARED_DIR       "${SHARE_INSTALL_PREFIX}")
	set(WB_INSTALL_ETC_DIR          "${ETC_INSTALL_DIR}")
	set(WB_PACKAGE_SHARED_DIR       "${SHARE_INSTALL_PREFIX}/mysql-workbench")
	set(WB_PACKAGE_PLUGINS_DIR      "${LIB_INSTALL_DIR}/mysql-workbench/plugins")
	set(WB_PYTHON_MODULES_DATA_DIR  "${SHARE_INSTALL_PREFIX}/mysql-workbench/modules/data")
	set(WB_INSTALL_DOC_DIR          "${SHARE_INSTALL_PREFIX}/doc/mysql-workbench")
endif()

include(ExternalProject)

if (NOT ANTLR3C_FOUND)
  message("Using bundled Antlr C runtime")
  #  Use for Antlr3 the one we have in /ext:
  set(ANTLR3C_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/ext/antlr-runtime ${PROJECT_SOURCE_DIR}/ext/antlr-runtime/include)
  set(ANTLR3C_LIBRARIES "-L${PROJECT_BINARY_DIR}/antlr-wb -lantlr3c_wb")

  ExternalProject_Add(antlr-wb
    SOURCE_DIR ${PROJECT_SOURCE_DIR}/ext/antlr-runtime
    CONFIGURE_COMMAND autoreconf -i -s && ${PROJECT_SOURCE_DIR}/ext/antlr-runtime/configure
        --prefix=${PROJECT_BINARY_DIR}/antlr-wb
        --libdir=${PROJECT_BINARY_DIR}/antlr-wb
	--disable-abiflags
    BUILD_COMMAND make
    BUILD_IN_SOURCE 1
    INSTALL_COMMAND make install
  )

  link_directories(${PROJECT_BINARY_DIR}/antlr-wb)
endif ()

# Uncomment these lines if at any time you want to force the configure and/or build
# of antlr-wb:
#ExternalProject_Add_Step(antlr-wb forceconfigure
#    COMMAND ${CMAKE_COMMAND} -E echo "Force configure of antlr-wb"
#    DEPENDEES update
#    DEPENDERS configure
#    ALWAYS 1
#)
#ExternalProject_Add_Step(antlr-wb forcebuild
#    COMMAND ${CMAKE_COMMAND} -E echo "Force build of antlr-wb"
#    DEPENDEES configure
#    DEPENDERS build
#    ALWAYS 1
#)


#include(CheckCXXCompilerFlag)
#check_cxx_compiler_flag(-Wall  HAS_ALL_WARNS)
#if (HAS_ALL_WARNS)
#	add_definitions(-Wall)
#endif()
#check_cxx_compiler_flag(-Wsign-compare  HAS_SIGN_COMPARE)
#if (HAS_SIGN_COMPARE)
#	add_definitions(-Wsign-compare)
#endif()
add_definitions(-D__STDC_FORMAT_MACROS)

set(BUILD_SHARED_LIBS ON)  # By default all libs will be built as shared libs

# Add some common compiler flags. TODO: Shouldn't this be done checking if whatever compiler
# we use supports each flag to allow for non-gcc compilers in Linux (as above)?
if (CMAKE_COMPILER_IS_GNUCXX)
	set(MY_CXXFLAGS "-Wall -Wextra -Wno-unused-parameter -Wno-deprecated -DTIXML_USE_STL=1")

    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Werror -ggdb3 ${MY_CXXFLAGS}")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} ${MY_CXXFLAGS}") 
endif()


#-----------------------------------------------------------------------
# Define some useful variables and options
#-----------------------------------------------------------------------

#set(NCORES 3)  # Use this number of cores when compiling
#if(CMAKE_COMPILER_IS_GNUCXX)
#	set(CMAKE_CXX_FLAGS "${CMAKE_CKK_FLAGS} -j${NCORES}")
#	message(STATUS "CMAKE_CXX_FLAGS = ${CMAKE_CXX_FLAGS}")
#	#set(CMAKE_EXE_LINKER_FLAGS "-s")  ## Strip binary
#endif()

set(GRT_LIBRARIES ${PYTHON_LIBRARIES} ${LUA_LIBRARIES} ${LIBXML2_LIBRARIES})
set(GRT_INCLUDE_DIRS ${PYTHON_INCLUDE_DIRS} ${LUA_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

configure_file(${PROJECT_SOURCE_DIR}/mysql-workbench.desktop.in mysql-workbench.desktop)

# FIXME: Should this go here? ---v
include_directories(${PROJECT_SOURCE_DIR}/plugins/migration/copytable ${PROJECT_SOURCE_DIR}/library/base)
include_directories(${GTK2_INCLUDE_DIRS})

add_subdirectory(tools)
add_subdirectory(backend)
add_subdirectory(ext)
add_subdirectory(frontend)
add_subdirectory(images)
add_subdirectory(library)
add_subdirectory(modules)
add_subdirectory(plugins)
add_subdirectory(res)
if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/internal)
  add_subdirectory(internal)
endif()

install(FILES ${CMAKE_BINARY_DIR}/mysql-workbench.desktop DESTINATION ${WB_INSTALL_SHARED_DIR}/applications)

if (EXISTS ${PROJECT_SOURCE_DIR}/COPYING)
    install(FILES README COPYING DESTINATION ${WB_INSTALL_DOC_DIR})
    install(FILES build/debian/mysql-workbench-community.sharedmimeinfo DESTINATION ${WB_INSTALL_SHARED_DIR}/mime/packages RENAME mysql-workbench.xml)
    install(FILES build/debian/mysql-workbench-community.mime DESTINATION ${WB_INSTALL_SHARED_DIR}/mime-info RENAME mysql-workbench.mime)
else ()
    install(FILES README LICENSE.mysql DESTINATION ${WB_INSTALL_DOC_DIR})
    install(FILES build/debian/mysql-workbench-commercial.sharedmimeinfo DESTINATION ${WB_INSTALL_SHARED_DIR}/mime/packages RENAME mysql-workbench.xml)
    install(FILES build/debian/mysql-workbench-commercial.mime DESTINATION ${WB_INSTALL_SHARED_DIR}/mime-info RENAME mysql-workbench.mime)
endif ()

install(FILES build/build_freetds.sh
              samples/models/sakila_full.mwb
        DESTINATION ${WB_PACKAGE_SHARED_DIR}/extras
       )

=== plugins/CMakeLists.txt ===
add_subdirectory(db.mysql)
add_subdirectory(db.mysql.diff.reporting)
add_subdirectory(db.mysql.editors)
add_subdirectory(db.search)
add_subdirectory(migration)
add_subdirectory(wb.admin)
add_subdirectory(wb.doclib)
add_subdirectory(wb.model.editors)
add_subdirectory(wb.model.snippets)
add_subdirectory(wb.printing)
add_subdirectory(wb.query.analysis)
add_subdirectory(wb.sqlide)

=== backend/wbprivate/CMakeLists.txt ===
add_definitions(${USE_BUNDLED_MYSQLDUMP})

include_directories(.
    ${CAIRO_INCLUDE_DIRS}
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${LIBZIP_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${ANTLR3C_INCLUDE_DIRS}
    ${MYSQLCPPCONN_INCLUDE_DIRS}
    ${PCRE_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/forms/mforms
    ${PROJECT_SOURCE_DIR}/library/mysql-parser
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/frontend/common
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/library/canvas/src
    ${PROJECT_SOURCE_DIR}/backend/wbprivate/workbench 
    ${PROJECT_SOURCE_DIR}/backend/wbpublic/grt 
    ${PROJECT_SOURCE_DIR}/library/dbc/src
    ${PROJECT_SOURCE_DIR}/ext/scintilla/include
    ${VSQLITE_INCLUDE_DIRS}
    ${TINYXML_INCLUDE_DIRS}
)

add_library(wbprivate STATIC
    model/canvas_floater.cpp
    model/mini_view.cpp
    model/relationship_canvas_floater.cpp
    model/wb_catalog_tree.cpp
    model/wb_catalog_tree_view.cpp
    model/wb_component.cpp
    model/wb_component_basic.cpp
    model/wb_component_logical.cpp
    model/wb_component_physical.cpp
    model/wb_component_physical.cpp
    model/wb_component_physical_relationship.cpp
    model/wb_context_model.cpp
    model/wb_diagram_options.cpp
    model/wb_layer_tree.cpp
    model/wb_model_diagram_form.cpp
    model/wb_overview_diagram.cpp
    model/wb_overview_physical.cpp
    model/wb_overview_physical_schema.cpp
    model/wb_overview_privileges.cpp
    model/wb_physical_model_diagram_features.cpp
    model/wb_user_datatypes.cpp
    model/wb_history_tree.cpp
    model/wb_template_list.cpp
    sqlide/db_sql_editor_history_be.cpp
    sqlide/db_sql_editor_log.cpp
    sqlide/wb_sql_editor_form.cpp
    sqlide/wb_sql_editor_buffer.cpp
    sqlide/wb_sql_editor_form_ui.cpp
    sqlide/wb_sql_editor_help.cpp
    sqlide/wb_sql_editor_tree_controller.cpp
    sqlide/wb_sql_editor_result_panel.cpp
    sqlide/wb_context_sqlide.cpp
    sqlide/wb_live_schema_tree.cpp
    sqlide/wb_sql_editor_snippets.cpp
    sqlide/query_side_palette.cpp
    workbench/metaclasses.cpp
    workbench/upgrade_helper.cpp
    workbench/wb_command_ui.cpp
    workbench/wb_context_ui.cpp
    workbench/wb_context_ui_home.cpp
    workbench/wb_context.cpp
    workbench/wb_model_file.cpp
    workbench/wb_model_file_upgrade.cpp
    workbench/wb_module.cpp
    workbench/wb_tunnel.cpp
    workbench/wb_overview.cpp
    workbench/home_screen.cpp
    workbench/wb_tunnel.cpp
    workbench/webbrowser_view.cpp
    workbench/wb_db_schema.cpp
    workbench/about_box.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/preferences_form.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/output_view.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/new_connection_wizard.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/document_properties_form.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/user_defined_type_editor.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/grt_shell_window.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/grt_code_editor.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/grt_python_debugger.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/plugin_manager_window.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/plugin_install_window.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/select_option_dialog.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/snippet_list.cpp
)

target_link_libraries(wbprivate
    grt
    ${CAIRO_LIBRARIES}
    ${GTK2_LIBRARIES}
    ${SIGC++_LIBRARIES}
    ${LIBZIP_LIBRARIES}
    ${TINYXML_LIBRARY}
    ${PCRE_LIBRARIES}
)

#install(TARGETS wbprivate DESTINATION ${WB_INSTALL_LIB_DIR})

=== backend/wbpublic/CMakeLists.txt ===
include_directories(.
    ${CAIRO_INCLUDE_DIRS}
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${PCRE_INCLUDE_DIRS}
    ${MYSQL_INCLUDE_DIRS}
    ${SQLITE3_INCLUDE_DIRS}
    ${CTEMPLATE_INCLUDE_DIRS}
    ${OPENGL_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${VSQLITE_INCLUDE_DIR}
    ${MYSQLCPPCONN_INCLUDE_DIR}
    ${ANTLR3C_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/library
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/forms/mforms
    ${PROJECT_SOURCE_DIR}/library/canvas/src
    ${PROJECT_SOURCE_DIR}/library/dbc/src
    ${PROJECT_SOURCE_DIR}/library/mysql-parser
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/ext/scintilla/include
)

add_library(wbpublic
    grt/refresh_ui.cpp
    grt/editor_base.cpp
    grt/parse_utils.cpp
    grt/common.cpp
    grt/grt_dispatcher.cpp
    grt/grt_manager.cpp
    grt/grt_reporter.cpp
    grt/grt_message_list.cpp
    grt/grt_shell.cpp
    grt/grt_string_list_model.cpp
    grt/grt_value_inspector.cpp
    grt/grt_value_tree.cpp
    grt/icon_manager.cpp
    grt/plugin_manager.cpp
    grt/tree_model.cpp
    grt/validation_manager.cpp
    grt/grt_threaded_task.cpp
    grt/action_list.cpp
    grtdb/charset_list.cpp
    grtdb/charset_utils.cpp
    grtdb/db_helpers.cpp
    grtdb/db_object_filter.cpp
    grtdb/db_object_helpers.cpp
    grtdb/db_object_master_filter.cpp
    grtdb/dbobject_roles.cpp
    grtdb/diff_dbobjectmatch.cpp
    grtdb/editor_dbobject.cpp
    grtdb/editor_routine.cpp
    grtdb/editor_routinegroup.cpp
    grtdb/editor_schema.cpp
    grtdb/editor_table.cpp
    grtdb/editor_user.cpp
    grtdb/editor_user_role.cpp
    grtdb/editor_view.cpp
    grtdb/role_tree_model.cpp
    grtdb/sync_profile.cpp
    objimpl/db/db_DatabaseObject.cpp
    objimpl/db/db_Schema.cpp
    objimpl/db/db_Table.cpp
    objimpl/db/db_ForeignKey.cpp
    objimpl/db/db_Column.cpp
    objimpl/db/db_Index.cpp
    objimpl/db/db_Trigger.cpp
    objimpl/db/db_RoutineGroup.cpp
    grtsqlparser/module_utils.cpp
    grtsqlparser/sql_facade.cpp
    grtsqlparser/sql_parser_base.cpp
    grtsqlparser/sql_inserts_loader.cpp
    grtsqlparser/sql_semantic_check.cpp
    grtsqlparser/sql_normalizer.cpp
    grtsqlparser/sql_statement_decomposer.cpp
    grtsqlparser/sql_specifics.cpp
    sqlide/sqlide_generics.cpp
    sqlide/sql_editor_be.cpp
    sqlide/sql_editor_be_autocomplete.cpp
    sqlide/var_grid_model_be.cpp
    sqlide/recordset_be.cpp
    sqlide/recordset_data_storage.cpp
    sqlide/recordset_cdbc_storage.cpp
    sqlide/recordset_sql_storage.cpp
    sqlide/recordset_sqlite_storage.cpp
    sqlide/recordset_table_inserts_storage.cpp
    sqlide/recordset_text_storage.cpp
    sqlide/sqlide.cpp
    sqlide/table_inserts_loader_be.cpp
    sqlide/autocomplete_object_name_cache.cpp
    sqlide/sql_script_run_wizard.cpp
    wbcanvas/figure_common.cpp
    wbcanvas/badge_figure.cpp
    wbcanvas/connection_figure.cpp
    wbcanvas/table_figure.cpp
    wbcanvas/table_figure_wb.cpp
    wbcanvas/table_figure_idef1x.cpp
    wbcanvas/table_figure_simple.cpp
    wbcanvas/view_figure.cpp
    wbcanvas/layer_figure.cpp
    wbcanvas/image_figure.cpp
    wbcanvas/note_figure.cpp
    wbcanvas/routine_group_figure.cpp
    wbcanvas/base_bridge.cpp
    wbcanvas/model_model_impl.cpp
    wbcanvas/model_diagram_impl.cpp
    wbcanvas/model_figure_impl.cpp
    wbcanvas/model_layer_impl.cpp
    wbcanvas/model_object_impl.cpp
    wbcanvas/model_connection_impl.cpp
    wbcanvas/workbench_physical_viewfigure_impl.cpp
    wbcanvas/workbench_physical_connection_impl.cpp
    wbcanvas/workbench_physical_model_impl.cpp
    wbcanvas/workbench_physical_diagram_impl.cpp
    wbcanvas/workbench_physical_routinegroupfigure_impl.cpp
    wbcanvas/workbench_physical_tablefigure_impl.cpp
    wbcanvas/workbench_model_notefigure_impl.cpp
    wbcanvas/workbench_model_imagefigure_impl.cpp
    objimpl/model/model_Connection.cpp
    objimpl/model/model_Figure.cpp
    objimpl/model/model_Layer.cpp
    objimpl/model/model_Model.cpp
    objimpl/model/model_Object.cpp
    objimpl/model/model_Diagram.cpp
    objimpl/workbench.model/workbench_model_NoteFigure.cpp
    objimpl/workbench.model/workbench_model_ImageFigure.cpp
    objimpl/workbench.physical/workbench_physical_Connection.cpp
    objimpl/workbench.physical/workbench_physical_RoutineGroupFigure.cpp
    objimpl/workbench.physical/workbench_physical_TableFigure.cpp
    objimpl/workbench.physical/workbench_physical_Diagram.cpp
    objimpl/workbench.physical/workbench_physical_Model.cpp
    objimpl/workbench.physical/workbench_physical_ViewFigure.cpp
    objimpl/workbench.logical/workbench_logical_Model.cpp
    objimpl/workbench.logical/workbench_logical_Diagram.cpp
    objimpl/db.query/db_query_Resultset.cpp
    objimpl/db.query/db_query_QueryBuffer.cpp
    objimpl/db.query/db_query_Editor.cpp
    objimpl/db.query/db_query_EditableResultset.cpp
    objimpl/db.migration/db_migration_Migration.cpp
    objimpl/ui/mforms_ObjectReference.cpp
    objimpl/ui/grt_PyObject.cpp
    objimpl/ui/ui_db_ConnectPanel.cpp
    objimpl/ui/ui_ObjectEditor.cpp
    objimpl/ui/ui_ObjectEditor_impl.cpp
    grtui/grtdb_connect_panel.cpp
    grtui/grtdb_connect_dialog.cpp
    grtui/confirm_save_dialog.cpp
    grtui/binary_data_editor.cpp
    grtui/grtdb_connection_editor.cpp
    grtui/grtdb_object_filter.cpp
    grtui/string_list_editor.cpp
    grtui/grt_wizard_form.cpp
    grtui/grt_wizard_plugin.cpp
    grtui/wizard_progress_page.cpp
    grtui/wizard_finished_page.cpp
    grtui/wizard_schema_filter_page.cpp
    grtui/wizard_object_filter_page.cpp
    grtui/wizard_view_text_page.cpp
    grtui/db_conn_be.cpp
    grtui/gui_plugin_base.cpp
    grtui/text_input_dialog.cpp
    grtui/checkbox_list_control.cpp
    grtui/file_charset_dialog.cpp
    grtui/inserts_export_form.cpp
)

#if (CMAKE_COMPILER_IS_GNUCXX)
#	set_target_properties(wbpublic PROPERTIES
#		COMPILE_FLAGS "-fpermissive"  # For things like the extra qualification in sqlide/sql_editor_be.cpp:116
#	)
#endif()

target_link_libraries(wbpublic wbbase mdcanvas mforms cdbc ${VSQLITE_LIBRARIES} wbscintilla mysqlparser ${CAIRO_LIBRARIES} ${GNOME_KEYRING_LIBRARIES} ${CTEMPLATE_LIBRARIES} ${OPENGL_LIBRARIES} ${PCRE_LIBRARIES})

install(TARGETS wbpublic DESTINATION ${WB_INSTALL_LIB_DIR})

=== images/home/CMakeLists.txt ===
set(IMAGE_FILES 
wb_doc_model.png
wb_doc_sql.png
WB_Home_mac.png
WB_Home.png
wb_starter_generic_52.png
wb_starter_grt_shell_52.png
wb_starter_mysql_bug_reporter_52.png
wb_starter_mysql_doc_lib_52.png
wb_starter_mysql_forums_52.png
wb_starter_mysql_migration_52.png
wb_starter_mysql_news_52.png
wb_starter_mysql_utilities_52.png
wb_starter_mysql_wb_blog_52.png
wb_starter_mysql_wb_twitters_52.png
wb_starter_planet_mysql_52.png
wb_starter_edelivery_52.png
wb_starter_edelivery_52@2x.png
wb_starter_grt_shell_52@2x.png
wb_starter_mysql_bug_reporter_52@2x.png
wb_starter_mysql_doc_lib_52@2x.png
wb_starter_mysql_forums_52@2x.png
wb_starter_mysql_migration_52@2x.png
wb_starter_mysql_utilities_52@2x.png
wb_starter_planet_mysql_52@2x.png
wb_starter_support_52.png
wb_starter_support_52@2x.png
wb_tile_folder.png
wb_tile_folder_mini.png
wb_tile_mouseover_2.png
wb_tile_mouseover.png
wb_tile_network.png
wb_tile_number.png
wb_tile_page-down.png
wb_tile_page-up.png
wb_tile_plus.png
wb_tile_sakila.png
wb_tile_schema.png
wb_tile_time.png
wb_tile_user.png
wb_close.png
wb_tile_manage.png
wb_tile_more.png
wb_tile_open.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== images/icons/CMakeLists.txt ===
set(IMAGE_FILES 
    comment.png
    grt.png
    history.png
    layers.png
    mini_edit.png
    mini_ok.png
    mini_error.png
    mini_notice.png
    mini_warning.png
    warning_icon.png
    properties.png
    schemata.png
    user_datatypes.png
    MySQLWorkbench-128.png
    MySQLWorkbench-16.png
    MySQLWorkbench-32.png
    MySQLWorkbench-48.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

add_subdirectory(linux)

=== images/sql/CMakeLists.txt ===

set(IMAGE_FILES 
    ./auto-completion-column.png
    ./auto-completion-function.png
    ./auto-completion-keyword.png
    ./auto-completion-operator.png
    ./auto-completion-routine.png
    ./auto-completion-schema.png
    ./auto-completion-table.png
    ./auto-completion-view.png
    ./auto-completion-engine.png
    ./qe_main-tb-icon_add-routine.png
    ./qe_main-tb-icon_add-function.png
    ./qe_main-tb-icon_add-schema.png
    ./qe_main-tb-icon_add-sql-editor.png
    ./qe_main-tb-icon_add-table.png
    ./qe_main-tb-icon_add-view.png
    ./qe_main-tb-icon_execute-sql-file.png
    ./qe_main-tb-icon_open-sql-file.png
    ./qe_main-tb-icon_refresh-conn.png
    ./qe_main-tb-sep.png
    ./qe_main-tb-icon_preferences.png
    ./qe_main-tb-icon_search_db.png
    ./qe_sql-editor-tb-icon_autocommit-off.png
    ./qe_sql-editor-tb-icon_autocommit-on.png
    ./qe_sql-editor-tb-icon_beautifier_current.png
    ./qe_sql-editor-tb-icon_beautifier.png
    ./qe_sql-editor-tb-icon_commit.png
    ./qe_sql-editor-tb-icon_execute-current.png
    ./qe_sql-editor-tb-icon_execute.png
    ./qe_sql-editor-tb-icon_explain.png
    ./qe_sql-editor-tb-icon_find.png
    ./qe_sql-editor-tb-icon_open.png
    ./qe_sql-editor-tb-icon_rollback.png
    ./qe_sql-editor-tb-icon_save.png
    ./qe_sql-editor-tb-icon_special-chars-off.png
    ./qe_sql-editor-tb-icon_special-chars-on.png
    ./qe_sql-editor-tb-icon_word-wrap-off.png
    ./qe_sql-editor-tb-icon_word-wrap-on.png
    ./qe_sql-editor-tb-icon_stop-on-error-off.png
    ./qe_sql-editor-tb-icon_stop-on-error-on.png
    ./qe_sql-editor-tb-icon_stop.png
    ./qe_sql-editor-tb-icon_row-limit-off.png
    ./qe_sql-editor-tb-icon_row-limit-1k-on.png
    ./qe_sql-editor-tb-icon_row-limit-on.png
    ./snippet_css.png
    ./snippet_htm.png
    ./snippet_lua.png
    ./snippet_mwb.png
    ./snippet_php.png
    ./snippet_py.png
    ./snippet_sql.png
    ./wb-sidebar-collapse.png
    ./wb-sidebar-expand.png
	./output_type-executionplan.png
	./output_type-explaindata.png
	./output_type-fieldtypes.png
        ./output_type-formeditor.png
	./output_type-item_selected.png
	./output_type-querystats.png
	./output_type-resultset.png
	./output_type-spacialview.png
	./output_type-toggle-off.png
	./output_type-toggle-on.png
    ./object_inspector.png
    ./title_schema_inspector.png
    ./title_table_inspector.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== images/toolbar/CMakeLists.txt ===
set(IMAGE_FILES 
    clear_output.png
    debug_continue.png
    debug_pause.png
    debug_step.png
    debug_step_into.png
    debug_step_out.png
    debug_stop.png
    edit_table_templates.png
    query_continue_on_error.png
    query_stop_on_error.png
    record_add.png
    record_back.png
    record_del.png
    record_discard.png
    record_edit.png
    record_export.png
    record_fetch_all.png
    record_fetch_next.png
    record_fetch_prev.png
    record_first.png
    record_import.png
    record_last.png
    record_next.png
    record_refresh.png
    record_save.png
    record_sort_asc.png
    record_sort_desc.png
    record_sort_reset.png
    record_wrap_vertical.png
    snippet_add.png
    snippet_clipboard.png
    snippet_del.png
    snippet_insert.png
    snippet_use.png
    tiny_align_h_left.png
    tiny_align_h_left2.png
    tiny_align_h_middle.png
    tiny_align_h_middle2.png
    tiny_align_h_right.png
    tiny_align_h_right2.png
    tiny_align_v_bottom.png
    tiny_align_v_bottom2.png
    tiny_align_v_middle.png
    tiny_align_v_middle2.png
    tiny_align_v_top.png
    tiny_align_v_top2.png
    tiny_autocommit_off.png
    tiny_autocommit_on.png
    tiny_bookmark.png
    tiny_cancel.png
    tiny_cancel_disabled.png
    tiny_commit.png
    tiny_commit_disabled.png
    tiny_execute.png
    tiny_execute_current.png
    tiny_execute_disabled.png
    tiny_explain.png
    tiny_grid.png
    tiny_gridview.png
    tiny_grtshell.png
    tiny_hidesidebar.png
    tiny_less_space.png
    tiny_load.png
    tiny_loadsql.png
    tiny_lock.png
    tiny_manage_connections.png
    tiny_manage_instances.png
    tiny_more_space.png
    tiny_new.png
    tiny_new_diagram.png
    tiny_new_doc.png
    tiny_new_routine.png
    tiny_new_schema.png
    tiny_new_script.png
    tiny_new_table.png
    tiny_new_view.png
    tiny_open.png
    tiny_reconnect.png
    tiny_redo.png
    tiny_refresh.png
    tiny_refresh_plugins.png
    tiny_rollback.png
    tiny_rollback_disabled.png
    tiny_ruler.png
    tiny_save.png
    tiny_saveas.png
    tiny_savesql.png
    tiny_search.png
    tiny_undo.png
    wb_arrow.png
    wb_db_routinegroup.png
    wb_db_table.png
    wb_db_view.png
    wb_draw_ellipse.png
    wb_draw_freehand.png
    wb_draw_line.png
    wb_draw_polygon.png
    wb_draw_rect.png
    wb_hand.png
    wb_image.png
    wb_layer.png
    wb_magnifier.png
    wb_note.png
    wb_rel_11.png
    wb_rel_11_nonid.png
    wb_rel_1n.png
    wb_rel_1n_nonid.png
    wb_rel_1n_pick.png
    wb_rel_nm.png
    wb_rubber.png
    wb-toolbar_automatic-help-off.png
    wb-toolbar_automatic-help-off@2x.png
    wb-toolbar_automatic-help-on.png
    wb-toolbar_automatic-help-on@2x.png
    wb-toolbar_manual-help.png
    wb-toolbar_manual-help@2x.png
    wb-toolbar_nav-back.png
    wb-toolbar_nav-forward.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== images/ui/CMakeLists.txt ===
set(IMAGE_FILES 
    audit_log.png
    arrow_up.png
    arrow_down.png
    Apply.png
    Apply_16x16.png
    Close_18x18.png
    Discard.png
    Discard_16x16.png
    DotBlue.png
    DotDisabled.png
    DotGrey.png
    DotRed.png
    EditorExpanded.png
    EditorCollapsed.png
    First_16x16.png
    Last_16x16.png
    MacWizardBackground.png
    Refresh_16x16.png
    Refresh_18x18.png
    Refresh_disabled_18x18.png
    background.png
    background_top_shadow.png
    change_alert_thin.png
    change_alert_create.png
    change_alert_drop.png
    change_backward.png
    change_forward.png
    change_ignore.png
    change_nothing.png
    collapsing_panel_bg.png
    collapsing_panel_grid_bg.png
    collapsing_panel_grid_details.png
    collapsing_panel_grid_details2.png
    collapsing_panel_grid_large_icons.png
    collapsing_panel_grid_large_icons2.png
    collapsing_panel_grid_small_icons.png
    collapsing_panel_grid_small_icons2.png
    collapsing_panel_header_bg.png
    collapsing_panel_header_bg_flat.png
    collapsing_panel_header_shadow.png
    collapsing_panel_header_tab_add.png
    collapsing_panel_header_tab_add2.png
    collapsing_panel_header_tab_del.png
    collapsing_panel_header_tab_del2.png
    collapsing_panel_header_tab_left.png
    collapsing_panel_header_tab_left_flat.png
    collapsing_panel_header_tab_middle.png
    collapsing_panel_header_tab_middle_flat.png
    collapsing_panel_header_tab_right.png
    collapsing_panel_header_tab_right_flat.png
    collapsing_panel_header_tab_separator.png
    collapsing_panel_header_tab_separator_flat.png
    collapsing_panel_minus.png
    collapsing_panel_minus_flat.png
    collapsing_panel_plus.png
    collapsing_panel_plus_flat.png
    collapsing_panel_tab_left.png
    collapsing_panel_tab_middle.png
    collapsing_panel_tab_right.png
    dialog_input.png
    field_overlay_blob.png
    field_overlay_null.png
    header_bar_blue.png
    header_bar_gray.png
    header_bar_orange.png
    message_confirm.png
    message_edit.png
    message_error.png
    message_warning.png
    message_wb_bug.png
    message_wb_lock.png
    message_wb_wait.png
    navigator_zoom_in.png
    navigator_zoom_out.png
    note.128x128.png
    options-horizontal-separator.png
    sakila.png
    search_clear.png
    search_doc_action.png
    search_icon.png
    section_expanded.png
    section_unexpandable.png
    section_unexpanded.png
    separator-dots.png
    show_eof.png
    show_whitespace.png
    small_toolbar_bg.png
    statusbar_output.png
    statusbar_separator.png
    statusbar_shell.png
    tab.diagram.16x16.png
    tab.overview.home.16x16.png
    tab.overview.physical.16x16.png
    tab.sqlquery.16x16.png
    task_checked.png
    task_disabled.png
    task_error.png
    task_executing.png
    task_unchecked.png
    task_warning.png
    wb-wizard-vista-bg.png
    wb_about.png
    zoom_in.png
    zoom_out.png
    zoom_reset.png
    editor_breakpoint_hit.xpm
    editor_breakpoint.xpm
    editor_current_pos.xpm
    editor_error.xpm
    editor_statement.xpm
    refresh_sidebar.png
    busy_sidebar.png
    wb_lock.png
    big_switcher_yes.png
    big_switcher_no.png
    separator_vertical.png
)

if (UNIX)
	set(IMAGE_FILES ${IMAGE_FILES}
            linux/switcher_bottom_off.png
            linux/switcher_bottom_on.png
            linux/switcher_left_off.png
            linux/switcher_left_on.png
            linux/switcher_right_off.png
            linux/switcher_right_on.png
	   )
elseif (APPLE)
	set(IMAGE_FILES ${IMAGE_FILES}
            switcher_bottom_off.png
            switcher_bottom_on.png
            switcher_left_off.png
            switcher_left_on.png
            switcher_right_off.png
            switcher_right_on.png
            tab_00.png
            tab_01.png
            tab_02.png
            tab_03.png
            tab_05.png
            tab_06.png
            tab_07.png
            tab_08.png
            tab_09.png
            tab_10.png
            tab_11.png
            tab_icon_db.Routine.png
            tab_icon_db.query.QueryBuffer.png
            tab_icon_db.Schema.png
            tab_icon_db.Table.png
            tab_icon_db.View.png
	   )
endif ()

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== library/forms/CMakeLists.txt ===
add_subdirectory(swig)

set(DATA_FILES
    gtk/embedded_find.glade
)

install(FILES ${DATA_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR})

include_directories(.
    ${CAIRO_INCLUDE_DIRS}
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${GNOME_KEYRING_INCLUDE_DIRS}
    ${PCRE_INCLUDE_DIRS}
    ${TINYXML_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${VSQLITE_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/library
    ${PROJECT_SOURCE_DIR}/library/grt/src
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/forms/mforms
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/ext/scintilla/include
if (UNIX)
    ${PROJECT_SOURCE_DIR}/frontend/linux/linux_utilities
endif()
)

add_library(mforms
    app.cpp
    appview.cpp
    base.cpp
    box.cpp
    button.cpp
    checkbox.cpp
    code_editor.cpp
    container.cpp
    dockingpoint.cpp
    drawbox.cpp
    filechooser.cpp
    find_panel.cpp
    form.cpp
    fs_object_selector.cpp
    gtk/src/lf_box.cpp
    gtk/src/lf_button.cpp
    gtk/src/lf_code_editor.cpp
    gtk/src/lf_drawbox.cpp
    gtk/src/lf_find_panel.cpp
    gtk/src/lf_form.cpp
    gtk/src/lf_hypertext.cpp
    gtk/src/lf_label.cpp
    gtk/src/lf_listbox.cpp
    gtk/src/lf_menu.cpp
    gtk/src/lf_menubar.cpp
    gtk/src/lf_mforms.cpp
    gtk/src/lf_native.cpp
    gtk/src/lf_panel.cpp
    gtk/src/lf_popover.cpp
    gtk/src/lf_popup.cpp
    gtk/src/lf_scrollpanel.cpp
    gtk/src/lf_selector.cpp
    gtk/src/lf_splitter.cpp
    gtk/src/lf_textbox.cpp
    gtk/src/lf_textentry.cpp
    gtk/src/lf_table.cpp
    gtk/src/lf_toolbar.cpp
    gtk/src/lf_treenodeview.cpp
    gtk/src/lf_utilities.cpp
    gtk/src/lf_view.cpp
    gtk/src/lf_wizard.cpp
    hypertext.cpp
    imagebox.cpp
    label.cpp
    listbox.cpp
    menu.cpp
    menubar.cpp
    mforms.cpp
    native.cpp
    panel.cpp
    password_cache.cpp
    popover.cpp
    popup.cpp
    progressbar.cpp
    radiobutton.cpp
    scrollpanel.cpp
    sectionbox.cpp
    selector.cpp
    simpleform.cpp
    splitter.cpp
    table.cpp
    tabswitcher.cpp
    tabview.cpp
    tabview_dock.cpp
    task_sidebar.cpp
    textbox.cpp
    textentry.cpp
    toolbar.cpp
    treenodeview.cpp
    utilities.cpp
    view.cpp
    webbrowser.cpp
    widgets.cpp
    wizard.cpp
)

if (KEYRING_DEFINITION)
	set_target_properties(mforms PROPERTIES
		COMPILE_DEFINITIONS "${KEYRING_DEFINITION}"
	)
endif()
if (CMAKE_COMPILER_IS_GNUCXX)
	set_target_properties(mforms PROPERTIES
	  COMPILE_FLAGS "-DSCI_NAMESPACE"
	)
endif()

target_link_libraries(mforms linux_utilities ${CAIRO_LIBRARIES} ${GTK2_LIBRARIES} ${GNOME_KEYRING_LIBRARIES} ${TINYXML_LIBRARY})

install(TARGETS mforms DESTINATION ${WB_INSTALL_LIB_DIR})

=== library/mysql-parser/CMakeLists.txt ===
add_definitions(-Wno-sign-compare -Wno-type-limits -Wno-unused
-Wno-missing-field-initializers)

include_directories(.
    ${GTK2_INCLUDE_DIRS}
    ${ANTLR3C_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/library/base
)


add_library(mysqlparser
    MySQLLexer.c
    MySQLParser.c
    mysql-parser-common.cpp
    mysql-parser.cpp
    mysql-scanner.cpp
)

add_dependencies(mysqlparser
    antlr-wb
)

if (SKIP_BUNDLED_ANTLR)
else ()
    link_directories(${PROJECT_BINARY_DIR}/antlr-wb)
endif ()

target_link_libraries(mysqlparser ${GTK2_LIBRARIES} ${ANTLR3C_LIBRARIES})


install(TARGETS mysqlparser DESTINATION ${WB_INSTALL_LIB_DIR})

install(DIRECTORY ${PROJECT_BINARY_DIR}/antlr-wb/ DESTINATION ${WB_INSTALL_LIB_DIR} FILES_MATCHING
    PATTERN "*.so"
    PATTERN "*.so.*"
)

=== res/scripts/CMakeLists.txt ===
set(LIBRARY_FILES 
    lua/wb_library.lua
    python/wb.py
    python/db_utils.py
    python/grt_python_debugger.py
)
install(FILES ${LIBRARY_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/libraries)


set(SHELL_SNIPPETS_FILES
    snippets/shell_snippets.py.txt
)
install(FILES ${SHELL_SNIPPETS_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR})


set(VBSDATA_FILES
    shell/mysql_system_status.vbs
    shell/mysql_system_status_rmt.vbs
)
install(FILES ${VBSDATA_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR})


set(TEMPLATE_FILES
    script_templates/eer_model_object_grt.py.txt
    script_templates/eer_model_utility_grt.py.txt
    script_templates/generic_grt.py.txt
    script_templates/sql_editor_catalog_grt.py.txt
    script_templates/sql_editor_filter_grt.py.txt
    script_templates/sql_editor_resultset_grt.py.txt
    script_templates/sql_editor_utility_grt.py.txt
)

install(FILES ${TEMPLATE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/script_templates)

# Do not edit WBSYS_FILES manualy. The containing files are updated 
# by res/scripts/update_wbsys.py script
# SYS_BEGIN

set(SYS_FILES
    sys/after_setup.sql
    sys/before_setup.sql
    sys/sys_56.sql
    sys/sys_57.sql
    sys/sys_reports.js
)

install(FILES ${SYS_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/sys)

set(SYS_FUNCTIONS_FILES
    sys/functions/extract_schema_from_file_name.sql
    sys/functions/extract_table_from_file_name.sql
    sys/functions/format_bytes.sql
    sys/functions/format_path.sql
    sys/functions/format_statement.sql
    sys/functions/format_time.sql
    sys/functions/ps_is_account_enabled.sql
    sys/functions/ps_thread_stack.sql
)

install(FILES ${SYS_FUNCTIONS_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/sys/functions)

set(SYS_VIEWS_P_S_FILES
    sys/views/p_s/io_by_thread_by_latency.sql
    sys/views/p_s/io_global_by_file_by_bytes.sql
    sys/views/p_s/io_global_by_file_by_latency.sql
    sys/views/p_s/io_global_by_wait_by_bytes.sql
    sys/views/p_s/io_global_by_wait_by_latency.sql
    sys/views/p_s/latest_file_io.sql
    sys/views/p_s/memory_by_user.sql
    sys/views/p_s/memory_global_by_current_allocated.sql
    sys/views/p_s/memory_global_total.sql
    sys/views/p_s/processlist.sql
    sys/views/p_s/processlist_57.sql
    sys/views/p_s/ps_check_lost_instrumentation.sql
    sys/views/p_s/schema_index_statistics.sql
    sys/views/p_s/schema_table_statistics.sql
    sys/views/p_s/schema_table_statistics_with_buffer.sql
    sys/views/p_s/schema_tables_with_full_table_scans.sql
    sys/views/p_s/schema_unused_indexes.sql
    sys/views/p_s/statement_analysis.sql
    sys/views/p_s/statements_with_errors_or_warnings.sql
    sys/views/p_s/statements_with_full_table_scans.sql
    sys/views/p_s/statements_with_runtimes_in_95th_percentile.sql
    sys/views/p_s/statements_with_sorting.sql
    sys/views/p_s/statements_with_temp_tables.sql
    sys/views/p_s/user_summary.sql
    sys/views/p_s/user_summary_57.sql
    sys/views/p_s/user_summary_by_file_io.sql
    sys/views/p_s/user_summary_by_file_io_type.sql
    sys/views/p_s/user_summary_by_stages.sql
    sys/views/p_s/user_summary_by_statement_latency.sql
    sys/views/p_s/user_summary_by_statement_type.sql
    sys/views/p_s/wait_classes_global_by_avg_latency.sql
    sys/views/p_s/wait_classes_global_by_latency.sql
    sys/views/p_s/waits_by_user_by_latency.sql
    sys/views/p_s/waits_global_by_latency.sql
)

install(FILES ${SYS_VIEWS_P_S_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/sys/views/p_s)

set(SYS_PROCEDURES_FILES
    sys/procedures/create_synonym_db.sql
    sys/procedures/ps_setup_disable_background_threads.sql
    sys/procedures/ps_setup_disable_instrument.sql
    sys/procedures/ps_setup_disable_thread.sql
    sys/procedures/ps_setup_enable_background_threads.sql
    sys/procedures/ps_setup_enable_instrument.sql
    sys/procedures/ps_setup_enable_thread.sql
    sys/procedures/ps_setup_reload_saved.sql
    sys/procedures/ps_setup_reset_to_default.sql
    sys/procedures/ps_setup_reset_to_default_57.sql
    sys/procedures/ps_setup_save.sql
    sys/procedures/ps_setup_show_disabled.sql
    sys/procedures/ps_setup_show_enabled.sql
    sys/procedures/ps_statement_avg_latency_histogram.sql
    sys/procedures/ps_trace_statement_digest.sql
    sys/procedures/ps_trace_thread.sql
    sys/procedures/ps_truncate_all_tables.sql
)

install(FILES ${SYS_PROCEDURES_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/sys/procedures)

set(SYS_VIEWS_I_S_FILES
    sys/views/i_s/innodb_buffer_stats_by_schema.sql
    sys/views/i_s/innodb_buffer_stats_by_table.sql
    sys/views/i_s/schema_object_overview.sql
)

install(FILES ${SYS_VIEWS_I_S_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/sys/views/i_s)
# SYS_END

=== build/debian/control ===
Source: mysql-workbench
Section: utils
Priority: extra
Maintainer: MySQL Workbench team <workbench@sun.com>
Build-Depends: debhelper (>= 5), libzip-dev, libgtkmm-2.4-dev, libxml2-dev, libmysqlclient-dev, libgl1-mesa-dev, libpcre3-dev, liblua5.1-0-dev, python-dev (>= 2.5), libgnome-keyring-dev, libsqlite3-dev, libboost-dev, xdg-utils, libctemplate-dev, cmake, libtinyxml-dev, swig (>= 1.3)
Standards-Version: 3.7.2
Homepage: http://dev.mysql.com/workbench/

Package: mysql-workbench-community
Replaces: mysql-workbench-gpl, mysql-workbench-oss
Architecture: i386 amd64
Depends: ${shlibs:Depends}, python-paramiko, python-pexpect, mysql-client, python-pysqlite2
Suggests: gnome-keyring
Description: MySQL Workbench
 MySQL Workbench is a modeling tool that allows you to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.
